// SPDX-License-Identifier: MIT
pragma solidity ^0.8.22;

import "../library/Auth.sol";

contract TestTxTime is Admin{
    
    uint256[] public txTime;
    uint256[] public blockTime;
    
    function lenTime() public view returns(uint256) {
        return txTime.length;
    }

    function getTime(uint256 i) public view returns(uint256,uint256) {
        return (blockTime[i], txTime[i]);
    }

    function test(uint256 t) public onlyAdmin {
        blockTime.push(block.timestamp * 1000);
        txTime.push(t);
    }
}
